Bug 1367295 - Re-connect button of pod terminal is placed wrongly
Summary: Re-connect button of pod terminal is placed wrongly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 07:14 UTC by Yadan Pei
Modified: 2016-09-19 12:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 12:58:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
ReconnectButtonAtLowerLeftCorner (35.86 KB, image/png)
2016-08-16 07:25 UTC, Yadan Pei
no flags Details
connect button on debug terminal for failed pod is not fully displayed (125.10 KB, image/png)
2016-08-17 03:30 UTC, Xingxing Xia
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Yadan Pei 2016-08-16 07:14:27 UTC
Description of problem:
After disconnect from pod terminal, re-connect button is displayed at lower left corner.

Version-Release number of selected component (if applicable):
v3.3.0.19

How reproducible:
Always

Steps to Reproduce:
1. Create a test pod 
# oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/pods/pod_with_two_containers.json
2. Wait for pod running
3. Go to Applications -> Pods -> doublecontainers -> Terminal 
4. hello-openshift terminal is connected by default on first Terminal tab load, type some command and hit "exit"
5. Select "hello-openshift-fedora" from dropdown list, type some command in terminal and hit "exit"
7. Switch between "hello-openshit" and "hello-openshift-fedora" when they are all disconnected


Actual results:
7. We could found the re-connect button is placed at lower left corner, it's hard to find it

Expected results:
7. re-connect button should be placed at upper right corner of terminal

Additional info:

Comment 1 Yadan Pei 2016-08-16 07:25:01 UTC
Created attachment 1191117 [details]
ReconnectButtonAtLowerLeftCorner

Comment 2 Jessica Forrester 2016-08-16 22:36:50 UTC
merging to origin in https://github.com/openshift/origin/pull/10470

Comment 3 Xingxing Xia 2016-08-17 03:30:55 UTC
Created attachment 1191463 [details]
connect button on debug terminal for failed pod is not fully displayed

Another display issue for "connect": connect button on debug terminal for failed pod is not fully displayed. If this is another bug not fixed by the above PR, I'd like file new bug for it.

Comment 4 Jessica Forrester 2016-08-17 11:11:12 UTC
the same fix will fix the issue in comment 3, the button is now absolutely positioned

Comment 5 Troy Dawson 2016-08-18 19:36:24 UTC
This has been merged into ose and is in OSE v3.3.0.22 or newer.

Comment 7 Yadan Pei 2016-08-19 07:32:34 UTC
Checked against v3.3.0.22,


After disconnect from terminal, Re-connect button shows well in Pod Terminal and Pod Debug Terminal


Note You need to log in before you can comment on or make changes to this bug.